Subject: Re: CCL:PDB file format

From: "Tamas Gunda" <[email-masked]>
Date: Wed, 11 Apr 2001 23:55:26 +0200

----- Original Message -----
>
> Hi,
>
> According to the PDB file format defined in:
>
> http://www.rcsb.org/pdb/docs/format/pdbguide2.2/guide2.2_frame.html
>
> the ATOM/HETATM record reserves only 4 digits to the residue
> sequence number (max 9999).
>
> 23 - 26        Integer         resSeq        Residue sequence number.
>
> However, in some systems we already have residue sequence numbers
> above 9999. Specially in MD simulations including water. What do
> you people use to solve this problem because column position 27 is
> already reserved?
>
> 27             AChar           iCode         Code for insertion of
>                                              residues.
>
> Regards,
>
> -leif laaksonen
>

Leif,

Well, that's a limitation in pdb format. An alternative could be the use of
mmCIF format,
(macromolecular CIF) which is a kind of "translation" of PDB format to the
CIF one. It uses
tag-defined definitions and not fixed format:

loop_
_atom_site.label_seq_id
_atom_site.group_PDB
_atom_site.type_symbol
_atom_site.label_atom_id
_atom_site.label_comp_id
_atom_site.label_asym_id
_atom_site.auth_seq_id
_atom_site.label_alt_id
_atom_site.cartn_x
_atom_site.cartn_y
_atom_site.cartn_z
_atom_site.occupancy
_atom_site.B_iso_or_equiv
_atom_site.footnote_id
_atom_site.label_entity_id
_atom_site.id
1 ATOM  N  N    GLY A    1  .  -8.863  16.944  14.289  1.00 21.88   1   1
1
1 ATOM  C  CA   GLY A    1  .  -9.929  17.026  13.244  1.00 22.85   1   1
2
1 ATOM  C  C    GLY A    1  . -10.051  15.625  12.618  1.00 43.92   1   1
3
1 ATOM  O  O    GLY A    1  .  -9.782  14.728  13.407  1.00 25.22   1   1
4
2 ATOM  N  N    ILE A    2  . -10.333  15.531  11.332  1.00 26.28   1   1
5
etc

See e.g.  http://www.iucr.org/iucr-top/cif/mmcif/workshop/
or    http://www.sdsc.edu/pb/cif/tutorial_mm.html

As there is no such rule that the residue numbering must be consecutively
1,2...N, and pdb files can be
found with disordered numbering, most programs do not input the residue seq.
numbers themselves, but count the residues by following the changes of the
numbers.  In this case after 9999 simply start over from 1 again. But this
is, of course, only an in-house solution, if all softwares in question
support it.

best regards

Tamas

Dr Tamas E. Gunda
Research Group for Antibiotics
University of Debrecen
H-4010 Debrecen, POBox 36
Hungary
e-mail: [email-masked]
http://dragon.klte.hu/~gundat

---

From: Konrad Hinsen <[email-masked]>
Date: Thu, 12 Apr 2001 17:01:04 +0200

> you people use to solve this problem because column position 27 is 

Here is how I handle residue sequence numbers in the Molecular
Modelling Toolkit (MMTK):

For output: residue numbers are written module 10000. In most cases,
i.e. unless application programs supply their own residue numbers,
this means that 9999 is followed by 0.

For input: MMTK requires only that two subsequent residues have
different residue numbers, the value is not used otherwise (but stored
internally so that application programs can use it if they see a
need).

-- 
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: [email-masked]
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.56.24
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------

---

From: "Tamas Gunda" <[email-masked]>
Date: Thu, 12 Apr 2001 18:29:36 +0200

Leif,

Yesterday after having posted my answer it came into my mind that in the PDB
files
the residue sequence numbering can be restarted in every chains. I don't
know the
exact structure of your file, but a solution could be that simply & formally
split
for example the water stuff into several chains, in each one the residue
numbering
starting from 1. If the file creator program was made by you, it is easy to
modify
the output routine.

best regards

Tamas

Dr Tamas E. Gunda
Research for Antibiotics
University of Debrecen

----- Original Message -----
From: "Leif Laaksonen" <[email-masked]>
To: "Chemistry@Ccl. Net" <[email-masked]>
Sent: Wednesday, April 11, 2001 9:45 AM
Subject: CCL:PDB file format

mmCIF format,
CIF one. It uses

>1 ATOM  N  N    GLY A    1  .  -8.863  16.944  14.289  1.00 21.88   1   11
>1 ATOM  C  CA   GLY A    1  .  -9.929  17.026  13.244  1.00 22.85   1   12
>1 ATOM  C  C    GLY A    1  . -10.051  15.625  12.618  1.00 43.92   1   13
>1 ATOM  O  O    GLY A    1  .  -9.782  14.728  13.407  1.00 25.22   1   14
>2 ATOM  N  N    ILE A    2  . -10.333  15.531  11.332  1.00 26.28   1   15
>etc